package startup;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import entity.Inventory;

@Startup
@Singleton
public class InitBean {

	@PersistenceContext
	protected EntityManager em;

	@PostConstruct
	void init() {
		
		//	Force table creation
		em.find(Inventory.class, 1);
	}
}
